﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace STDTO.DataTransferObjects.CodeGenerationAttributes
{
    [AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = true)]
    public sealed class GenerateDtoAttribute : Attribute
    {
        public Type InterfaceType { get; set; }
        public Type BaseInterfaceType { get; set; }
        public Type BaseType { get; set; }
        public GenerateDtoAttribute()
        {
        }
    }
}
