﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace STDTO.DataTransferObjects.Interfaces
{
    /// <summary>
    /// Extend the INotifyPropertyChanged adds the HasHandlers method
    /// </summary>
    public interface INotifyPropertyChangedWithHasHandlers : INotifyPropertyChanged
    {
        /// <summary>
        /// True iff the PropertyChanged has registers handlers
        /// </summary>
        bool HasHandlers { get; }
    }
}
