﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using STDTO.Interfaces;
using AGT.Infrastructure.DataTransferObjects.Unit.Tests;


namespace STDTO.DataTransferObjects.Unit.Tests.DTOs
{
    public class MyDtoInstanceCreator : IDtoInstanceCreator
    {
        #region IDtoInstanceCreator Members

        public ISelfTrackingDataTransferObject<T> CreateDtoInstance<T>(T entity)
        {
            return (ISelfTrackingDataTransferObject<T>)UnitySingleton.Instance.UnityContainer.Resolve<T>(DataTransferObjectsTester.STR_DTO);
        }

        #endregion
    }
}
