﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;

namespace AGT.Infrastructure.DataTransferObjects.Unit.Tests
{
    public class UnitySingleton
    {
        private static UnitySingleton _instance = new UnitySingleton();
        private IUnityContainer _unityContainer;

        private UnitySingleton()
        {
            _unityContainer = new UnityContainer();
        }

        public static UnitySingleton Instance
        {
            get { return _instance; }
        }

        public IUnityContainer UnityContainer
        {
            get { return _unityContainer; }
        }
    }
}
