﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace STDTO.Interfaces
{

    /// <summary>
    /// This object is the DTO objects factory: creates DTO instance by T and given entity
    /// </summary>
    public interface IDtoInstanceCreator
    {
        ISelfTrackingDataTransferObject<T> CreateDtoInstance<T>(T entity);
    }
}
