﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace STDTO.DataTransferObjects.Base
{
    [Serializable]
    public class CollectionItemAction<TItem>
    {
        public CollectionChangeAction ChangeAction { get; set; }
        public TItem Item { get; set; }
        public int Index { get; set; }
    }

    [Serializable]
    public enum CollectionChangeAction
    {
        Added,
        Removed
    }
}
