﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Unity;

namespace STDTO.DataTransferObjects.Impl
{
    internal class InnerUnitySingleton
    {
        private IUnityContainer _unityContainer = null;
        private static InnerUnitySingleton _instance = new InnerUnitySingleton();
        public static InnerUnitySingleton Instance
        {
            get { return _instance; }
        }


        public void Init(IUnityContainer unityContainer)
        {
            _unityContainer = unityContainer;
        }

        public IUnityContainer UnityContainer
        {
            get { return _unityContainer; }
        }

    }
}
