﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace STDTO.DataTransferObjects.Interfaces
{
    /// <summary>
    /// The action needed for saving and retrieving the mappings between DTO objects and theire concrete types
    /// </summary>
    public interface IDataTrasferObjectToEntityMapper
    {
        void AddMapping(object dtoObject, object entity);
        bool TryGetDataTransferObject(object entity, out object dtoObject);
        bool TryGetEntity(object dtoObject, out object entity);
    }
}
